<?php

function display_dashboard_department_filtering_parameters() {
    
    dashboard_set_from_to_months('from_month_id', 'to_month_id');
    
    start_table(TABLESTYLE, "width=25%");
        value_list_row("Department", 'department_id', "DEPARTMENTS", null, '', true);
        $dash_purchs_array = get_dashboard_petty_cash_types_array();
        custom_values_list_row("Type:", 'group_code', $dash_purchs_array, null, false, true);
        months_list_row("From Month:", 'from_month_id', null, false, true);   
        months_list_row("To Month:", 'to_month_id', null, false, true);  

        set_global_dashboard_from_month($_POST['from_month_id']);
        set_global_dashboard_to_month($_POST['to_month_id']);
    end_table(1);

    start_table(TABLESTYLE);
        start_row();
            submit_center_first('DashboardPurch', "Display", '', 'process', ICON_OK);
        end_row();
    end_table(2);
}

function get_dashboard_petty_cash_types_array() {
    $dash_purchs_array = array();
    
        $dash_purchs_array['EXPENSES'] = "Petty Cash Expenses";
//        $dash_purchs_array['EMPLOYEE_PETTY_CASH_OUTSTANDING'] = "Employee Petty Cash Outstanding";
//        $dash_purchs_array['DATA_ENTRY'] = "Data Entry";
        
        return $dash_purchs_array;
}

function display_dashboard_department_view() {
    global $path_to_root, $Ajax;

    $from_month = get_month(get_global_dashboard_from_month());
    $to_month = get_month(get_global_dashboard_to_month());

    $Ajax->activate('uda_ddg');
        div_start('uda_ddg');

            start_table();

                switch ($_POST['group_code']) {
                    case 'EXPENSES':
                        include_once("$path_to_root/dashboard/includes/ui/dashboard_department_petty_cash_expenses_ui.inc");
                        include_once($path_to_root . "/dashboard/includes/db/dashboard_department_petty_cash_expenses_db.inc"); 
                        dashboard_department_petty_cash_expenses($from_month['display_order'], $to_month['display_order'], $_POST['department_id']);
                        break;
//                    case 'EMPLOYEE_PETTY_CASH_OUTSTANDING':
//                        include_once("$path_to_root/dashboard/includes/ui/dashboard_petty_cash_employee_outstanding_ui.inc");
//                        include_once($path_to_root . "/dashboard/includes/db/dashboard_petty_cash_employee_outstanding_db.inc"); 
//                        include_once($path_to_root . "/petty_cash/includes/db/employee_petty_cash_outstanding_db.inc"); 
//                        include_once($path_to_root . "/includes/db/group_companies_db.inc"); 
//                        dashboard_petty_cash_employee_outstanding($from_month['display_order'], $to_month['display_order']);
//                        break;
//                    case 'DATA_ENTRY':
//                        include_once("$path_to_root/dashboard/includes/ui/dashboard_petty_cash_data_entry_ui.inc");
//                        include_once($path_to_root . "/dashboard/includes/db/dashboard_petty_cash_data_entry_db.inc"); 
//                        dashboard_petty_cash_data_entry($from_month['display_order'], $to_month['display_order']);
//                        break;
                        
                    
                        
                    default:        
                        break;
                }

            end_table(2);
        div_end();
}

?>